Несколько уязвимостей в Asterisk

Дата публикации:
27.04.2007
Дата изменения:
09.04.2009
Всего просмотров:
984
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2007-2293
CVE-2007-2294
CVE-2007-2297
Вектор эксплуатации:
Удаленная
Воздействие:
Отказ в обслуживании
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Asterisk 1.x
Уязвимые версии: Asterisk версии до 1.4.3.

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю вызвать отказ в обслуживании или выполнить произвольный код на целевой системе.

1. Уязвимость существует из-за ошибки проверки границ данных в T.38 SDP парсере SIP каналов при обработке "T38FaxRateManagement" или "T38FaxUdpEC" SDP параметров в функции "process_sdp()" файла chan_sip.c. Удаленный пользователь может послать специально сформированный SIP пакет, содержащий слишком длинные SDP параметры, вызвать переполнение стека и выполнить произвольный код на целелвой систме. Для удачной эксплуатации уязвимости опция "t38_udptl" должна быть включена.

2. Ошибка разыменования нулевого указателя существует в механизме аутентификации в Asterisk Remote Management Interface. Удаленный пользователь может аварийно завершить работу службы. Для успешной эксплуатации уязвимости Management Interface должен быть включен и в файле manager.conf дожжен быть сконфигурирован пользователь без пароля.

URL производителя: www.asterisk.org

Решение: Установите последнюю версию (1.4.3) с сайта производителя.

Ссылки: Multiple Remote unauthenticated stack overflows in Asterisk chan_sip.c

или введите имя

CAPTCHA